title = "Dettagli Account"
url = "/mio-account/edit-account"
meta_title = "Mariano Rubinacci - Dettagli account"
is_hidden = 0

[viewBag]
localeMeta_title[en] = "Mariano Rubinacci - Account details"
localeUrl[en] = "/my-account/edit-account"

[AnagraficaView]

[Cart]

[localePicker]
forceUrl = 1

[Login]
mode = "ajax"
flash_on = 1

[Logout]
mode = "ajax"
redirect_on = 1
redirect_page = "mio-account"

[Registration]
mode = "ajax"
flash_on = 1
activation = "activation_on"
force_login = 1

[SimpleCatalogHelper SimpleCatalogHelperSearch]
slug = "{{ :slug }}"
slug_required = 1
skip_error = 0

[UserPage]
slug = "{{ :slug }}"
slug_required = 0
mode = "ajax"
flash_on = 1

[ChangePassword]
slug = "{{ :slug }}"
slug_required = 0
mode = "ajax"
flash_on = 1
check_old_password = 1

[CartHelper CartHelperCart]
debug = 0
category_filters = 0

[UserData]

[OrderHelper]

[cookieNotice]
loadCss = 1
==
<!DOCTYPE html>
<html lang="it">
	<head>
	    <meta charset="utf-8">
	    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	    <meta name="viewport" content="width=device-width, initial-scale=1.0">
	    <meta name="format-detection" content="telephone=no">
	    <meta name="apple-mobile-web-app-capable" content="yes">
	    <link href="{{ 'assets/img/favicon.png'|theme }}" rel="apple-touch-icon">
	    <link href="{{ 'assets/img/favicon.png'|theme }}" rel="icon">
	    <meta name="author" content="">
	    <meta name="keywords" content="">
	    <meta name="description" content="{{ this.page.meta_description }}">
	    <title>{{ this.page.meta_title }}</title>
	    {#<link rel="stylesheet" href="{{ 'assets/plugins/font-awesome/css/font-awesome.min.css'|theme }}">#}
	    <link rel="stylesheet" href="{{ 'assets/plugins/bootstrap4/css/bootstrap.min.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/owl-carousel/assets/owl.carousel.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/slick/slick/slick.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/lightGallery-master/dist/css/lightgallery.min.css'|theme }}">
	    {#<link rel="stylesheet" href="{{ 'assets/plugins/jquery-bar-rating/dist/themes/fontawesome-stars.css'|theme }}">#}
	    <link rel="stylesheet" href="{{ 'assets/plugins/jquery-ui/jquery-ui.min.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/pe7/pe-icon-7-stroke/css/pe-icon-7-stroke.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/css/rubinacci.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/css/custom.css'|theme }}">

	    <link rel="stylesheet"href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.0.0/animate.min.css"/>
	    <link rel="stylesheet" href="{{ 'assets/css/style-ims.css'|theme }}">

		{#<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/all.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/solid.min.css" rel="stylesheet" crossorigin="anonymous">#}
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/brands.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/fontawesome.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/regular.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/svg-with-js.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/v4-shims.min.css" rel="stylesheet" crossorigin="anonymous">
	    <link rel="stylesheet" href="{{ 'assets/plugins/megamenu-js-master/css/style.css'|theme }}">
    	<link rel="stylesheet" href="{{ 'assets/plugins/megamenu-js-master/css/ionicons.min.css'|theme }}">
    	<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />

	    {#
	    <link rel="stylesheet" href="{{ 'assets/plugins/YTPlayer/dist/css/jquery.mb.YTPlayer.min.css'|theme }}">
	    #}
	    {% partial 'userscripts' %}
    </head>

	<body class="clean-body" style="margin: 0; padding: 0; -webkit-text-size-adjust: 100%;">

		<!-- POPUP COOKIE -->
		{% component 'cookieNotice' %}

	    {% partial 'menu' %}

	    {% set arError = Registration.getErrorMessage %}
		{% set arForm = Registration.getOldFormData %}

	    <div id="userdata">

		    {% partial 'account-details' %}

	    </div>

        {% partial 'footer' %}

	    <!-- Plugins-->
	    {#
	    <script data-cfasync="false" src="{{ '/cdn-cgi/scripts/5c5dd728/cloudflare-static/email-decode.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/popper.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/imagesloaded.pkgd.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/masonry.pkgd.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/isotope.pkgd.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/jquery.matchHeight-min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/slick-animation.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/jquery-ui/jquery-ui.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/sticky-sidebar/dist/sticky-sidebar.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/YTPlayer/dist/jquery.mb.YTPlayer.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/gmap3.min.js'|theme }}"></script>
	    #}

	    <script src="{{ 'assets/plugins/jquery-1.12.4.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/bootstrap4/js/bootstrap.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/owl-carousel/owl.carousel.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/slick/slick/slick.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/jquery-bar-rating/dist/jquery.barrating.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/lightGallery-master/dist/js/lightgallery-all.min.js'|theme }}"></script>
	    {#<script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/all.min.js">
	    </script><script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/conflict-detection.min.js"></script>#}
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/brands.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/fontawesome.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/regular.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/solid.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/v4-shims.min.js"></script>
	    <!-- Custom scripts-->
	    <script src="{{ 'assets/js/main.js'|theme }}"></script>
	    <script src="{{ 'assets/js/main-ims.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/megamenu-js-master/js/megamenu.js'|theme }}"></script>

	    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>

	    <script>

	    	{% if logged %}
	    		function fillData()
	    		{

					//var isPrefix = {{ imsUserData.prefix ? true : false }};
					var isPrefix = {{ imsUserData.prefix == '' ? 0 : 1 }};
					var activeState = '{{imsUserData.shipping_state ? : '' }}';

					$('#shipping_state').find('option[value="'+activeState+'"]').attr('selected','selected').trigger("change");;

					if( activeState == 'IT'){
						// setta la provincia
						$('#shipping_region').find('option[value="{{imsUserData.shipping_region}}"]').attr('selected','selected').trigger("change");;
					}
					else
					{
	        			$('#shipping_region').find('option[value="EE"]').attr('selected','selected').trigger("change");;
	        			document.getElementById('region_sel').style.display = "none";
	        		}

					if( isPrefix ) {
						$('#field-prefix').find('option[value="{{imsUserData.prefix}}"]').attr('selected','selected').trigger("change");
					}
					else
					{
						// selezione automatica
						try
			    		{
			    			$("#field-prefix option[data-countryCode='" + activeState + "']").prop("selected", true).trigger("change");
			    		}
			    		catch ( err )
			    		{

			    		}
					}


	        		$('#billing_state').find('option[value="{{obUser.property.billing_state}}"]').attr('selected','selected').trigger("change");;
	        		$('#billing_region').find('option[value="{{obUser.property.billing_country}}"]').attr('selected','selected').trigger("change");;

	    		}
    		{% endif %}

    		function changeBillingState(e)
			{
        		if(e.value != 'IT'){
        			// Deseleziona la provincia Estera per paesi diversi da italia
        			$('#bilregion_sel').hide();
        			$('#bilregion_label').hide();

        			/*---reset select2---*/
        			//$('#billing_region').prop("selected", false);
        			$("#billing_region").val('').trigger('change');

        			$('#billing_region').find('option[value="EE"]').attr('selected','selected');

        		}else {
        			// Deseleziona la provincia in italia
        			$('#bilregion_sel').show();
        			$('#bilregion_label').show();

        			/*---reset select2---*/
        			//$('#billing_region').prop("selected", false);
        			$("#billing_region").val('').trigger('change');

        			$('#billing_region').find('option[value="00"]').attr('selected','selected');
        		}

			}

			function changeShippingState(e)
			{
				activeState = e.value;

		    	if(activeState == 'IT'){
		    		$('#region_sel').show();
		    		$('#region_label').show();
		    		//document.getElementById('region_sel').style.display = "block";

		    		/*---reset select2---*/
		    		//$('#shipping_region').prop("selected", false);
		    		$("#shipping_region").val('').trigger('change');

		    		$("#shipping_region option[value='00']").prop("selected", true).trigger("change");
		    		//$('#field-prefix').find('option[value="39"]').attr('selected','selected').trigger("change");

		    	}else{
		    		$('#region_sel').hide();
		    		$('#region_label').hide();
					//document.getElementById('region_sel').style.display = "none";

					/*---reset select2---*/
					//$('#shipping_region').prop("selected", false);
					$("#shipping_region").val('').trigger('change');

					$('#shipping_region').find('option[value="EE"]').attr('selected','selected').trigger("change");
		    		//$('#prefix').find('option[value="00"]').attr('selected','selected').trigger("change");
		    		/*
		    		try
		    		{
		    			//se non è presente il prefisso dello stato selezionato lascia visualizzato l'ultimo selezionato-> non va bene!!
		    			if ($("#field-prefix option[data-countryCode='" + activeState + "']").length > 0){
		    				$("#field-prefix option[data-countryCode='" + activeState + "']").prop("selected", true).trigger("change");
		    			}else{
		    				$('#field-prefix').find('option[value="00"]').attr('selected','selected').trigger("change");
		    			}
		    		}
		    		catch ( err )
		    		{

		    		}
		    		*/
		    	}

			}

    		$( document ).ready(function() {

    			try
    			{
    				$('.select2').select2({
    					allowClear: true,
    				});
    			}
    			catch (err)
    			{

    			}

				{% if logged %}
    				fillData();
    			{% endif %}

    		});

	    	{#
	    	$(document).ready(function(){
	    		$('.select2').select2();

	    		var isPrefix = {{imsUserData.prefix ? true : false}};
    			if(isPrefix){
    				$('#field-prefix').find('option[value="{{imsUserData.prefix}}"]').attr('selected','selected');
    			}

    			var activeState = '{{imsUserData.shipping_state ? : '' }}';
    			$('#shipping_state').find('option[value="'+activeState+'"]').attr('selected','selected');

    			if(activeState != 'IT'){
        			$('#shipping_region').find('option[value="EE"]').attr('selected','selected');
        			document.getElementById('region_sel').style.display = "none";
        		}
        		$('#shipping_region').find('option[value="{{imsUserData.shipping_region}}"]').attr('selected','selected');
        		console.log('{{imsUserData.shipping_region}}');
        		$("#shipping_state").change(function(){
	        		if(this.value != 'IT'){
	        			$('#shipping_region').find('option[value="EE"]').attr('selected','selected');
	        			document.getElementById('region_sel').style.display = "none";
	        		}else{
	        			$('#shipping_region').find('option[value="00"]').attr('selected','selected');
	        			document.getElementById('region_sel').style.display = "block";
	        		}
        		});
	    	});
	    	#}
	    	function showMe (maindiv, secdiv, moddiv) {
    			if(document.getElementById(maindiv).style.display == "block"){
    				document.getElementById(moddiv).innerHTML = "{{'Annulla'|_}}";
					document.getElementById(maindiv).style.display = "none";
					document.getElementById(secdiv).style.display = "block";
					if(moddiv == 'mod-fatt'){
    					$('#billing_state').find('option[value="{{obUser.property.billing_state}}"]').attr('selected','selected');
		        		$('#billing_region').find('option[value="{{obUser.property.billing_country}}"]').attr('selected','selected');
    				}else{
		        		$('#shipping_state').find('option[value="{{imsUserData.shipping_state}}"]').attr('selected','selected');
        				$('#shipping_region').find('option[value="{{imsUserData.shipping_region}}"]').attr('selected','selected');
    				}
				}else{
					document.getElementById(moddiv).innerHTML = "{{'Modifica'|_}}*";
					document.getElementById(maindiv).style.display = "block";
					document.getElementById(secdiv).style.display = "none";
				}
			}
	    	function login(){
				const logData = {
			        'email': document.getElementById("field-email-log").value,
					'password': document.getElementById("field-password-log").value
			    };
				$.request('Login::onAjax', {
					data: logData,
					update: {'account-details': '#userdata', 'menu': '#menu-cont'},
					loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				});
			}
			function logout(){
				$.request('Logout::onAjax', {
					//update: {'checkout-login': '#checkout-login', 'checkout-form': '#checkout-form'},
					loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				    complete: function() {
				    	location.reload(false);
				    }
				});
			}
			function registration(){
				const regData = {
					'name' : document.getElementById("field-name").value,
					'last_name' : document.getElementById("field-last_name").value,
					'email': document.getElementById("field-email").value,
					'password' : document.getElementById("field-password").value,
					'password_confirmation' : document.getElementById("field-password-confirmation").value
				};
				$.request('Registration::onAjax', {
					data: regData,
					update: {'account-details': '#userdata'},
					loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				});
			}
			function userUpdate(){
				const regData = {
					'property' :
						{
					        'birthdate': document.getElementById("field-birthdate").value,
					        //'cf': document.getElementById("field-cf").value
					        'prefix' : document.getElementById("field-prefix").value
						},
					'name': document.getElementById("field-name").value,
					'last_name': document.getElementById("field-last_name").value,
					'email': document.getElementById("field-email").value,
					'phone': document.getElementById("field-phone").value,
				};
				$.request('UserPage::onAjax', {
					data: regData,
					// update: {'account-details': '#userdata'},
					loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				});
			}
			function userBillingUpdate(){
				const regData = {
					'property' :
						{
					        'billing_name': document.getElementById("billing_name").value,
					        'billing_last_name': document.getElementById("billing_last_name").value,
					        'billing_address': document.getElementById("billing_address").value,
					        'billing_postcode': document.getElementById("billing_postcode").value,
					        'billing_city': document.getElementById("billing_city").value,
					        'billing_country': document.getElementById("billing_region").value,
					        'billing_state': document.getElementById("billing_state").value,
					        'cf': document.getElementById("cf").value,
					        'company_name': document.getElementById("company_name").value,
					        'p_iva': document.getElementById("p_iva").value,
					        'sdi_code': document.getElementById("sdi_code").value,
					        'pec_code': document.getElementById("pec_code").value,

						},
				};
				$.request('UserPage::onAjax', {
					data: regData,
					loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				    complete: function() {
				    	document.getElementById('mod-fatt').innerHTML = "{{'Modifica'|_}}*";
				    	document.getElementById('form-fatturazione').style.display = 'none';
				    	document.getElementById('ind-fatt').style.display = 'block';
				    }
				});
			}
			function userShippingUpdate(){
				const regData = {
					'property' :
						{
					        'shipping_name': document.getElementById("shipping_name").value,
					        'shipping_last_name': document.getElementById("shipping_last_name").value,
					        'shipping_address1': document.getElementById("shipping_address1").value,
					        'shipping_postcode': document.getElementById("shipping_postcode").value,
					        'shipping_city': document.getElementById("shipping_city").value,
					        'shipping_country': document.getElementById("shipping_region").value,
					        'shipping_state': document.getElementById("shipping_state").value,
						},
				};

				$.request('UserPage::onAjax', {
					data: regData,
					loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				});

			}
			function passUpdate(){
				const regData = {
					'old_password': document.getElementById("field-old-password").value,
					'password': document.getElementById("field-password").value,
					'password_confirmation': document.getElementById("field-password-confirmation").value,
				};
				$.request('ChangePassword::onAjax', {
					data: regData,
					update: {'account-details': '#userdata'},
					loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				});
			}

		</script>

	    {% partial 'footerscripts' %}
	    {% scripts %}
    	{% framework extras %}

	</body>

</html>